/* General Page Style */
body {
  display: flex;
  background-color: black;
  color: white;
  font-family: monospace;
  overflow: hidden;
  height: 100vh;
}
#main-menu {
  background: #111;
  padding: 10px;
  overflow-y: auto;
  width: 100%;
}
#wallpaper {
  background-image: url("https://images.squarespace-cdn.com/content/v1/5e7a2e7071437d25824395ba/1585964030375-K6SMHBEA84JQITA79JZL/blackHeaderSlow2.gif?format=2500w");
  background-size: cover;
  background-position: center;
  filter: blur(8px);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
/* Sidebar Navigation */
/* .terminal-nav {
  width: 200px;
  background: #111;
  border-right: 2px solid #00ff00;
  padding: 10px;
  overflow-y: auto;
}
.terminal-nav ul {
  list-style: none;
  padding: 0;
}
.terminal-nav li {
  padding: 10px;
  border-bottom: 1px solid #00ff00;
  cursor: pointer;
}
.terminal-nav li:hover {
  background: #222;
} */

/* Main Terminal Window */
.terminal {
  flex: 1;
  margin: 5vh 60px;
  padding: 5px;
  height: 80vh;
  background-color: #111;
  /* border: 1px solid #00ff00; */
  border-radius: 5px;
  /* box-shadow: 0px 0px 20px #00ff00; */
  position: relative;
  display: flex;
  overflow-y: auto;
}

/* Tab Content */
.terminal-tab {
  display: none;
  width: 100%;
  height: 100%;
}

/* Tab Header */
.tab-header {
  position: sticky;
  top: 0;
  display: flex;
  justify-content: space-between;
  background: #222;
  padding: 5px;
  border-bottom: 2px solid #ffffff;
  width: 99.5%;
  height: 5%;
  margin: 0px;
}
.tab-header button {
  background: rgb(255, 255, 255);
  color: rgb(255, 0, 0);
  border: none;
  margin: 2px;
  padding: 2px 5px;
  cursor: pointer;
  width: 4%;
}
.tab-header button:hover {
  background: darkred;
}
.tab-header span {
  width: auto;
  text-align: center;
  margin: 0px;
  padding-top: 5px;
  padding-left: 10px;
}

#about {
  overflow-y: auto;
}
#aboutMeOutput {
  overflow-y: auto;
}
#aboutMeOutput > img {
  width: 30vh;
  justify-self: center;
}

#projectsOutput {
  overflow-y: auto;
}

#live {
  padding: 10px;
  text-align: center;
  font-size: 2vh;
  margin-left: 10%;
}
#live a {
  color: blue;
}
.projects-div {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  flex-wrap: wrap;
}

.project {
  flex: 1;
  min-width: 300px;
  max-width: 32%;
  text-align: center;
  background: #222;
  padding: 15px;
  border-radius: 8px;
  align-items: center;
  margin: 40px;
}
.project img {
  width: 20vh;
}
.project a {
  background-color: black;
  text-decoration: none;
  padding: 10px;
  color: white;
}
#contactOutput {
  display: flex;
  text-align: center;
  padding-top: 20px;
}
h2 {
  font-size: 5vh;
  text-align: center;
}
.apps {
  padding: 30px;
  display: flex;
  justify-self: center;
  gap: 40px;
}
.apps a {
  text-decoration: none;
}
.icon {
  color: white;
  font-size: 5vh;
}
.mail {
  font-size: 2vh;
  text-decoration: none;
}

/*additional */
.guest-span {
  color: #00ff00;
}
h1 {
  font-size: 600%;
  padding: 0px;
}
h1::after {
  content: "";
}
.info {
  font-size: 2vh;
}

.red {
  color: red;
}

.blue {
  color: blue;
}

.green {
  color: green;
}

/* scroll bars */
*::-webkit-scrollbar {
  width: 1px;
  height: 1px;
}

*::-webkit-scrollbar-track {
  background: #111; /* Dark terminal background */
}

*::-webkit-scrollbar-thumb {
  background: #ffffff; /* Green like a terminal */
  border-radius: 2px;
}

*::-webkit-scrollbar-thumb:hover {
  background: #008000; /* Darker green */
}

#navtem {
  color: blue;
  display: flex;
  flex-direction: row;
  gap: 6vh;
}
#navtem > li:hover {
  color: white;
  cursor: pointer;
}
/* footer */
.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: black;
  color: rgb(255, 255, 255);
  text-align: center;
  padding: 10px;
  font-family: monospace;
  border-top: 1px solid rgb(243, 255, 243);
}

/* mobile */
@media only screen and (max-width: 600px) {
  .terminal {
    margin: 0px;
    height: auto;
    margin-bottom: 20px;
  }
  .tab-header button {
    width: 10%;
    padding-left: 10px;
  }
  #projectsOutput {
    padding-bottom: 30%;
  }
}
